@keyframes titleFade {
    0%   {color: #6474ff;}
    25%   {color: #649aff;}
    50%   {color: #64e0ff;}
    75%   {color: #649aff;}
    100%   {color: #6474ff;}
}
header{
        display: flex;
    justify-content: center;
    align-items: center;
}
#webTitle{
    text-align: center;
    color: #6474ff;
    text-shadow: 2px 2px 4px rgba(110, 110, 110, 0.5);
    animation: titleFade 3s;
    animation-iteration-count: infinite;
    font-family: Arial;
    font-weight: bolder;
    font-size:3rem;
    margin-top: -0.1rem;
    padding-bottom: 1rem;
    height: 71px;
}
#webTitleLarge{
    text-decoration: none;
    text-align: center;
    color: #6474ff;
    text-shadow: 2px 2px 4px rgba(110, 110, 110, 0.5);
    animation: titleFade 3s;
    animation-iteration-count: infinite;
    font-family: Arial;
    font-weight: bolder;
    font-size:3rem;
    margin-top: -0.1rem;
    padding-bottom: 1rem;
    height: 71px;
}
#homeLink{
    text-decoration: none;

}
html, body {
    margin: 0;
    min-height: 100vh;
}
#homeFooter{
    text-align: center;
    bottom: 0;
    position: fixed;
    left: 0;
    width: 110%;
    font-family: monospace;
    color: #09090b;
}
#landingFooter{
    text-align: center;
    bottom: 0;
    position: fixed;
    left: 0;
    width: 100%;
    font-family: monospace;
    color: #09090b;
}
body.darkMode #mail{
    font-family: monospace;
    color: #b6b6b6;
}
#mail{
    font-family: monospace;
    color: #303030;
    text-decoration:underline;
}
#pages h4 a{
    text-decoration: none;
    color: #303030;
}
#pages h4 a:hover{
    color: #000;
    font-weight: bolder;
}
body.darkMode #pages h4 a{
    text-decoration: none;
    color: #b6b6b6;
}
h4{
    font-family: monospace;
    font-size: x-large;
}
body.darkMode #pages h4 a:hover{
    color: white;
    font-weight: bolder;
}
#mail:hover{
    font-family: monospace;
    color: #000000;
    font-weight: bold;
}
body.darkMode #mail:hover{
    color: white;
    font-weight: bold;
}
body{
    min-height: 100vh;
    
}
body.darkMode *{
    background-color: #09090b;
    color: #d3daec;
}
.svgButton{
    width: 2em;
    height: 2em;
    vertical-align: -0.125em;
    fill: black;
    background-color: transparent;
}
body.darkMode .svgButton{
    width: 2em;
    height: 2em;
    vertical-align: -0.125em;
    fill: white;
    background-color: transparent;
}
section, div, header, footer {
    background-color: transparent;
}
body{
    position: relative;
    height: 100%;
    top: 0;
    margin-right: 0;
    background-color: #f3ece3;
}
#nav{
    height: 100%;
    width: 10%;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    padding-left: 1rem;
    padding-top: 1rem;
    border-right: 2px solid #bda9a9;
    margin-right: 1%;
}
body.darkMode #nav{
    height: 100%;
    width: 10%;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    padding-left: 1rem;
    padding-top: 1rem;
    border-right: 2px solid #312b2b;
    margin-right: 1%;
}
#mainTrue{
    height: 100vh;
    margin-left: 10%;
}
#articles{
    display: flex;
    flex-wrap: wrap;
    text-decoration: none;
}
.mainContent{
    height: 20rem;
    text-align: center;
    display: block;
    padding-left: 1rem;
    padding-right: 1rem;
    padding-bottom: 1rem;
    border: 3px solid #0000004f;
    border-radius: 15px;
    margin-left: 5rem;
    width: fit-content;
    text-decoration: none;
}
body.darkMode .mainContent{
    height: 20rem;
    text-align: center;
    display: block;
    padding-left: 1rem;
    padding-right: 1rem;
    padding-bottom: 1rem;
    border: 3px solid #ffffff2d;
    border-radius: 15px;
    margin-left: 5rem;
    width: fit-content;
    text-decoration: none;
}
body.darkMode .mainContent:hover, body.darkMode .mainContent:hover *{
    background-color: #495268;
}
.mainContent:hover,
.mainContent:hover *{
    background-color: #d3daec;
}
.socialList{
    color: rgb(33, 39, 43);
}
.socialList>a{
    text-decoration: none;
    font-family: Helvetica;
    color: rgb(33, 39, 43);
    transition: 0.3s;
}
body.darkMode .socialList>a{
    text-decoration: none;
    font-family: Helvetica;
    color: rgb(191, 203, 211);
    transition: 0.3s;
}
.socialList>#insta:hover{
    font-family: Helvetica;
    background: linear-gradient(45deg, #f9ce34, #ee2a7b, #672cd4);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
}
.socialList>#discord:hover{
    
    color: #5364f9;
    transition: 0.3s;
}
.socialList>#tiktok:hover{
    text-shadow: 0.05em 0.05em 0 #fe2b58, -0.05em -0.05em 0 #26f6ef;
}
#buttons{
    position: fixed;
    bottom: 0;
    right: 0;
    margin-right: 1%;
    margin-bottom: 1%;
}
#mobilenav{
    display: none;
}
#article a {
    text-decoration: none;

}
h3{
    font-family: Helvetica;
    text-decoration: none;
    color: #303030;
}
a{
    text-decoration: none;
}
button {
  cursor: pointer;
  color: #050908;
  background-color: transparent;
  border: 2px solid #ccd2e6;
  border-radius: 1.25rem;
}
body.darkMode button:hover {
    background-color: #ffffff27;
}
button:hover {
    background-color: #00000027;
}
@media (max-width: 768px) {
    #nav{
        display: none;
    }
    #webTitle{
        text-align: center;
        color: #6474ff;
        text-shadow: 2px 2px 4px rgba(110, 110, 110, 0.5);
        animation: titleFade 3s;
        animation-iteration-count: infinite;
        font-family: Arial;
        font-weight: bolder;
        font-size:3rem;
        margin-top: -0.1rem;
        margin-bottom: 0;
        padding-bottom: 0;
    }
    #mainTrue, body.darkMode #mainTrue{
        margin: 0;
    }
    .mainContent, body.darkMode .mainContent{
        margin-left: 1.7em;
    }
    #mobilenav{
        display: flex;
        z-index: 0;
        text-align: center;
        width: 100%;
        justify-content: center;
        align-items: center ;
    }
    #mobilenav a{
        margin: 0;
        font-family: monospace;
        font-size: x-large;
        margin-bottom: 1em;
        text-align: center;
        justify-content: center;
    }
    #homeFooter{
        width: 100%;
    }
}